%define	_name	wavelet-decompose

Name:		gimp-plugin-%{_name}
Version:	0.1.2
Release:	%mkrel 5
Summary:	Gimp plugin to decomposes a layer into layers of wavelet scales
Url:		http://registry.gimp.org/node/11742
Source:		http://registry.gimp.org/files/%{_name}-%{version}.tar.gz
License:	GPLv2
Group:		Graphics/Editors and Converters

BuildRequires:	gimp-devel
Requires:	gimp

%description
This plugin losslessly decomposes a layer of an image into layers
of wavelet scales. 
This means that you can edit the image on different detail scales.
The trivial recomposition of the image can be done by GIMP's layer modes so 
you can see the results of your modifications instantly. 

Among the applications are:
 - retouching
 - noise reduction
 - enhancing global contrast

%prep
%setup -q -n %{_name}-%{version}

%build
%make

%install
for i in `find po -name "*.po"`;
do
	lang=`basename $i`
	lang=${lang/\.po/}
	install -D -d -m 755 %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
make -C po install LOCALEDIR=%{buildroot}%{_datadir}/locale
%find_lang gimp20-%{_name}-plug-in
install -Dm 755 src/%{_name} %{buildroot}%{_libdir}/gimp/2.0/plug-ins/%{_name}

%files -f gimp20-%{_name}-plug-in.lang
%doc COPYING AUTHORS ChangeLog THANKS README TRANSLATIONS
%{_libdir}/gimp/2.0/plug-ins/%{_name}


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.1.2-5.mga4
+ Revision: 521748
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 0.1.2-4.mga3
+ Revision: 391842
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 18 2012 matteo <matteo> 0.1.2-2.mga2
+ Revision: 197839
- fixed provides

* Wed Jan 18 2012 matteo <matteo> 0.1.2-1.mga2
+ Revision: 197806
- imported package gimp-plugin-wavelet-decompose

